Summary: a graphical dialog editor for the Qt widget set.
Name: qtarch
Version: 2.1
Release: 11
Source: ftp://qtarch.sourceforge.net/pub/qtarch/%{name}-%{version}-1.tar.gz
Url: http://qtarch.sourceforge.net/
Source1: qtarch.xpm
Source2: mini-qtarch.xpm
Patch: qtarch-config.patch
Patch1: qtarch-2.1-qt.patch
Copyright: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: qt-devel

%description
Qt Architect is a graphical dialog editor for the Qt widget set.
It allows for the graphical creation and placement of widgets onto
a dialog. Various properties for the widget can also be set.
Widgets may be mapped to variables so that you can control them once
the dialog is launched. After the dialog is created on the screen,
the files for the dialog are created.

%prep
%setup -q
%patch -b .config
%patch1 -p1 -b .qt

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
export MOC=$QTDIR/bin/moc

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

make -j $CPUS BUILD_RELEASE=1

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 -s qtarch $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Development
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Development/qtarch.desktop <<EOF
[Desktop Entry]
Name=Qtarch
Comment=a graphical dialog editor for the Qt widget set.
Comment[de]=ein grafisches Dialog-Editor fr Qt Widget.
Exec=qtarch
Icon=qtarch.xpm
MiniIcon=mini-qtarch.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(missingok) /etc/X11/applnk/Development/qtarch.desktop
/usr/bin/qtarch
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm
%doc COPYING TODO README update20.pl doc/QtArch.ps
%doc misc/DlgEdit.Template.Makefile help/*.html module/module-howto.html

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- - fix a segmention fault with qt-2.2.x

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Tue Nov 7 2000 Than Ngo <than@redhat.com>
- update Url

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt
- add BuildPrereq: qt-devel

* Mon Jul 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use qt 2.1.1
- use %%{_tmppath}

* Sat May 27 2000 Ngo Than <than@redhat.de>
- updated to 2.1.0 for 7.0
- remove wmconfig

* Thu May 11 2000 Ngo Than <than@redhat.de>
- update url

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 2.1.0

* Thu Dec 16 1999 Ngo Than <than@redhat.de>
- initial RPM for powertools 6.2
